> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chataigne.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List modifier groups



## OpenAPI

````yaml /api-reference/catalogs-v1.json get /v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups
openapi: 3.0.0
info:
  title: Chataigne Catalogs API
  description: Synchronize complete catalogs or update individual catalog resources.
  version: '2026-05-01'
  contact: {}
servers:
  - url: https://server.chataigne.ai
security: []
tags: []
paths:
  /v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups:
    get:
      tags:
        - Catalog modifiers
      summary: List modifier groups
      operationId: CatalogModifiersV1Controller_listGroups
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: string
          example: loc_r8v4n2c6tz
        - name: catalog_id
          in: path
          required: true
          schema:
            type: string
          example: delivery-menu
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          description: Page size (1–100).
        - name: starting_after
          in: query
          required: false
          schema:
            type: string
          description: 'Cursor: return results after this id.'
        - name: ending_before
          in: query
          required: false
          schema:
            type: string
          description: 'Cursor: return results before this id.'
      responses:
        '200':
          description: A paginated list of modifier groups.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogModifierGroupList'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The principal is not allowed to perform this request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: The resource does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - organization-api-key: []
components:
  schemas:
    CatalogModifierGroupList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/CatalogModifierGroup'
        has_more:
          type: boolean
        url:
          type: string
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - type
            - code
            - message
            - request_id
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - authorization_error
                - not_found_error
                - conflict_error
                - rate_limit_error
                - idempotency_error
                - api_error
            code:
              type: string
              example: resource_missing
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
              example: req_8f2c…
            details:
              type: object
              additionalProperties: true
    CatalogModifierGroup:
      type: object
      additionalProperties: false
      required:
        - id
        - name
        - modifiers
        - object
        - created_at
        - updated_at
      properties:
        id:
          type: string
          example: sauces
        name:
          type: string
          example: Choose a sauce
        min_selections:
          type: integer
          minimum: 0
          default: 0
        max_selections:
          type: integer
          minimum: 0
          nullable: true
        modifiers:
          type: array
          items:
            $ref: '#/components/schemas/CatalogModifier'
        object:
          type: string
          enum:
            - modifier_group
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    CatalogModifier:
      type: object
      additionalProperties: false
      required:
        - id
        - name
        - object
        - price
        - disabled
        - out_of_stock
        - restrictions
        - price_overrides
        - created_at
        - updated_at
      properties:
        id:
          type: string
          pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]{0,127}$
          example: bacon
        name:
          type: string
          example: Bacon
        image_url:
          type: string
          format: uri
          nullable: true
        price:
          $ref: '#/components/schemas/CatalogPrice'
        disabled:
          type: boolean
          default: false
          description: Whether the resource is hidden and cannot be ordered.
        out_of_stock:
          type: boolean
          default: false
          description: >-
            Whether the resource is temporarily unavailable while remaining
            visible.
        restrictions:
          type: array
          maxItems: 100
          default: []
          description: >-
            Availability windows. The resource is available when any restriction
            matches.
          items:
            $ref: '#/components/schemas/CatalogRestriction'
        price_overrides:
          type: array
          maxItems: 100
          default: []
          description: >-
            Conditional prices. The matching override with the most specific
            conditions wins.
          items:
            $ref: '#/components/schemas/CatalogPriceOverride'
        object:
          type: string
          enum:
            - modifier
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    CatalogPrice:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: number
          minimum: 0
          multipleOf: 0.01
          example: 12.9
        currency:
          type: string
          pattern: ^[A-Z]{3}$
          example: EUR
    CatalogRestriction:
      type: object
      additionalProperties: false
      properties:
        days_of_week:
          type: array
          minItems: 1
          uniqueItems: true
          default:
            - monday
            - tuesday
            - wednesday
            - thursday
            - friday
            - saturday
            - sunday
          items:
            type: string
            enum:
              - monday
              - tuesday
              - wednesday
              - thursday
              - friday
              - saturday
              - sunday
        start_time:
          type: string
          pattern: ^(?:[01]\d|2[0-3]):[0-5]\d$
          nullable: true
          example: '18:00'
        end_time:
          type: string
          pattern: ^(?:[01]\d|2[0-3]):[0-5]\d$
          nullable: true
          example: '22:00'
        start_date:
          type: string
          format: date-time
          nullable: true
        end_date:
          type: string
          format: date-time
          nullable: true
        service_types:
          type: array
          uniqueItems: true
          default:
            - delivery
            - collection
          items:
            type: string
            enum:
              - delivery
              - collection
    CatalogPriceOverride:
      type: object
      required:
        - price
        - conditions
      additionalProperties: false
      properties:
        price:
          $ref: '#/components/schemas/CatalogPrice'
        conditions:
          $ref: '#/components/schemas/CatalogPriceOverrideConditions'
    CatalogPriceOverrideConditions:
      type: object
      minProperties: 1
      additionalProperties: false
      properties:
        service_type:
          type: string
          enum:
            - delivery
            - collection
          nullable: true
        days_of_week:
          type: array
          minItems: 1
          uniqueItems: true
          nullable: true
          items:
            type: string
            enum:
              - monday
              - tuesday
              - wednesday
              - thursday
              - friday
              - saturday
              - sunday
        start_time:
          type: string
          pattern: ^(?:[01]\d|2[0-3]):[0-5]\d$
          nullable: true
          example: '18:00'
        end_time:
          type: string
          pattern: ^(?:[01]\d|2[0-3]):[0-5]\d$
          nullable: true
          example: '22:00'
  securitySchemes:
    organization-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: Location/organization API key.

````